org.apache.http.client.fluent

## Class Async

- java.lang.Object
- - org.apache.http.client.fluent.Async

    public class Async
    extends Object

### Method Summary

Methods
`Future<Content>` `execute(Request request)`
`Future<Content>` `execute(Request request, org.apache.http.concurrent.FutureCallback<Content> callback)`
`<T> Future<T>` `execute(Request request, ResponseHandler<T> handler)`
`<T> Future<T>` `execute(Request request, ResponseHandler<T> handler, org.apache.http.concurrent.FutureCallback<T> callback)`
`static Async` `newInstance()`
`Async` `use(Executor executor)`
`Async` `use(Executor concurrentExec)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newInstance

    public static Async newInstance()

#### use

    public Async use(Executor executor)

#### use

    public Async use(Executor concurrentExec)

#### execute

    public <T> Future<T> execute(Request request,
                        ResponseHandler<T> handler,
                        org.apache.http.concurrent.FutureCallback<T> callback)

#### execute

    public <T> Future<T> execute(Request request,
                        ResponseHandler<T> handler)

#### execute

    public Future<Content> execute(Request request,
                          org.apache.http.concurrent.FutureCallback<Content> callback)

#### execute

    public Future<Content> execute(Request request)